## cutefish-core 0.4

=== debian/changelog ===
cutefish-core (0.4-1) unstable; urgency=medium

  * Upload to unstable.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sat, 27 Nov 2021 19:52:33 +0545

cutefish-core (0.4-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #993448)

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 26 Sep 2021 01:49:27 +0545
