=== debian/control ===
Source: cutefish-core
Section: devel
Priority: optional
Maintainer: Arun Kumar Pariyar <openarungeek@gmail.com>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libkf5globalaccel-dev,
 libkf5windowsystem-dev,
 libpolkit-agent-1-dev,
 libpolkit-qt5-1-dev,
 libpulse-dev,
 libqt5x11extras5-dev,
 libsm-dev,
 libxcb-composite0-dev,
 libxcb-damage0-dev,
 libxcb-image0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-util-dev,
 libxcb-xfixes0-dev,
 libxcb1-dev,
 libxcursor-dev,
 libxtst-dev,
 pkg-config,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 xserver-xorg-input-libinput-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/cutefishos/terminal
Vcs-Browser: https://salsa.debian.org/cutefish-team/cutefish-core
Vcs-Git: https://salsa.debian.org/cutefish-team/cutefish-core.git

Package: cutefish-core
Architecture: any
Depends:
 qml-module-qt-labs-platform,
 qml-module-qt-labs-settings,
 qml-module-qtqml,
 qml-module-qtquick-layouts,
 qml-module-qtquick-shapes,
 qml-module-qtquick-window2,
 qml-module-qtquick2,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cutefish core system components and backend
 Cutefish core system components and backend for Cutefish desktop environment.
 .
 This package is a part of Cutefish DE.
