## cutefish-core 0.8

=== debian/changelog ===
cutefish-core (0.8-1) unstable; urgency=medium

  * New upstream release 0.8.
  * Add postinst and prerm scripts.
  * debian/control:
    + Refresh dependencies.
    + Fix Homepage URL (Closes: #1000840)
  * debian/copyright:
    + Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 10 Feb 2022 22:26:52 +0545
