=== debian/control ===
--- 
+++ 
@@ -6,18 +6,26 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
+ libkf5coreaddons-dev,
  libkf5globalaccel-dev,
+ libkf5idletime-dev,
  libkf5windowsystem-dev,
  libpolkit-agent-1-dev,
  libpolkit-qt5-1-dev,
- libpulse-dev,
  libqt5x11extras5-dev,
  libsm-dev,
+ libx11-xcb-dev,
  libxcb-composite0-dev,
  libxcb-damage0-dev,
+ libxcb-dpms0-dev,
+ libxcb-dri2-0-dev,
+ libxcb-dri3-dev,
+ libxcb-ewmh-dev,
+ libxcb-glx0-dev,
  libxcb-image0-dev,
  libxcb-keysyms1-dev,
  libxcb-randr0-dev,
+ libxcb-record0-dev,
  libxcb-shm0-dev,
  libxcb-util-dev,
  libxcb-xfixes0-dev,
@@ -30,19 +38,25 @@
  qtquickcontrols2-5-dev,
  qttools5-dev,
  qttools5-dev-tools,
+ xserver-xorg-dev,
  xserver-xorg-input-libinput-dev,
+ xserver-xorg-input-synaptics-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Homepage: https://github.com/cutefishos/terminal
+Homepage: https://github.com/cutefishos/core
 Vcs-Browser: https://salsa.debian.org/cutefish-team/cutefish-core
 Vcs-Git: https://salsa.debian.org/cutefish-team/cutefish-core.git
 
 Package: cutefish-core
 Architecture: any
 Depends:
+ accountsservice,
+ appmenu-gtk2-module,
+ appmenu-gtk3-module,
  qml-module-qt-labs-platform,
  qml-module-qt-labs-settings,
  qml-module-qtqml,
+ qml-module-qtquick-controls2,
  qml-module-qtquick-layouts,
  qml-module-qtquick-shapes,
  qml-module-qtquick-window2,
