=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%core-$1.tar.gz%" \
   https://github.com/cutefishos/core/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
